
!TheWorldMainDockingBar methodsFor: '*SwaCustom-override' stamp: 'topa 4/16/2014 14:47'!
clockOn: aDockingBar 
"	aDockingBar 
		addMorphBack: ClockMorph new ;
		addDefaultSpace"! !

!MCWorkingCopy methodsFor: '*SwaCustom-override' stamp: 'topa 4/15/2014 13:52'!
stubAncestry
	"Stub all but the most recent 10 of my ancestry tree to save memory with a proxy which can be transparently accessed later, if necessary."
	true ifTrue: [
		"This is probably not a good idea for the course. bail out here"
		^ self].
	self ancestors ifEmpty: [ ^ self ].
	repositoryGroup ifNotNil:
		[ | tenAgo count |
		count := 0.
		ancestry ancestorsDoWhileTrue:
			[ : each | tenAgo := each.
			(count := count + 1) < 10 ].
		tenAgo
			stubAncestryFor: self
			using: repositoryGroup ]! !

!MCWorkingCopyBrowser methodsFor: '*SwaCustom-override' stamp: 'topa 4/15/2014 11:55'!
flushCachedVersionsAncestry
	| beforeBytes afterBytes beforeVersions afterVersions beforeInfos afterInfos |
	Cursor wait showWhile: 
		[ beforeBytes := Smalltalk garbageCollect.
		beforeVersions := MCVersion allSubInstances size.
		beforeInfos := MCVersionInfo instanceCount.
		MCFileBasedRepository flushAllCaches.
		"MCWorkingCopy stubAllAncestry."
		afterBytes := Smalltalk garbageCollect.
		afterVersions := MCVersion allSubInstances size.
		afterInfos := MCVersionInfo instanceCount ].
	self inform: 
		(beforeVersions-afterVersions) asString, ' versions flushed',
		String cr, (beforeInfos-afterInfos), ' infos flushed',
	 	String cr, (afterBytes-beforeBytes) asBytesDescription, ' reclaimed'! !
